/****************************************************************************
** Form implementation generated from reading ui file 'qkdoodle.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "qkdoodle.h"

#include <qvariant.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qaction.h>
#include <qmenubar.h>
#include <qpopupmenu.h>
#include <qtoolbar.h>
#include <qimage.h>
#include <qpixmap.h>

#include "../qkdoodle.ui.h"
/*
 *  Constructs a QKdoodle as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 */
QKdoodle::QKdoodle( QWidget* parent, const char* name, WFlags fl )
    : QMainWindow( parent, name, fl )
{
    (void)statusBar();
    if ( !name )
	setName( "QKdoodle" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)4, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 21, 153 ) );
    setMaximumSize( QSize( 800, 600 ) );
    setBaseSize( QSize( 800, 600 ) );
    setIcon( QPixmap::fromMimeSource( "logokdoodle3a.jpg" ) );

    // actions
    fileExitAction = new QAction( this, "fileExitAction" );
    configConfigureAction = new QAction( this, "configConfigureAction" );
    fileSearchAction = new QAction( this, "fileSearchAction" );
    helpShow_HelpAction = new QAction( this, "helpShow_HelpAction" );
    aboutShow_AboutAction = new QAction( this, "aboutShow_AboutAction" );
    aboutVersionAction = new QAction( this, "aboutVersionAction" );
    aboutLicenseAction = new QAction( this, "aboutLicenseAction" );


    // toolbars


    // menubar
    MenuBarEditor = new QMenuBar( this, "MenuBarEditor" );


    File = new QPopupMenu( this );
    fileSearchAction->addTo( File );
    fileExitAction->addTo( File );
    MenuBarEditor->insertItem( QString(""), File, 1 );

    Config = new QPopupMenu( this );
    configConfigureAction->addTo( Config );
    MenuBarEditor->insertItem( QString(""), Config, 2 );

    Help = new QPopupMenu( this );
    helpShow_HelpAction->addTo( Help );
    MenuBarEditor->insertItem( QString(""), Help, 3 );

    About = new QPopupMenu( this );
    aboutShow_AboutAction->addTo( About );
    aboutVersionAction->addTo( About );
    aboutLicenseAction->addTo( About );
    MenuBarEditor->insertItem( QString(""), About, 4 );

    languageChange();
    resize( QSize(800, 600).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( fileExitAction, SIGNAL( activated() ), this, SLOT( close() ) );
    connect( helpShow_HelpAction, SIGNAL( activated() ), this, SLOT( show_help() ) );
    connect( fileSearchAction, SIGNAL( activated() ), this, SLOT( show_widget() ) );
    connect( aboutShow_AboutAction, SIGNAL( activated() ), this, SLOT( show_about() ) );
    connect( configConfigureAction, SIGNAL( activated() ), this, SLOT( show_config() ) );
    connect( aboutVersionAction, SIGNAL( activated() ), this, SLOT( show_version() ) );
    connect( aboutLicenseAction, SIGNAL( activated() ), this, SLOT( show_license() ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
QKdoodle::~QKdoodle()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void QKdoodle::languageChange()
{
    setCaption( tr( "KDoodle : A doodle frontend" ) );
    fileExitAction->setText( tr( "Exit" ) );
    fileExitAction->setMenuText( tr( "E&xit" ) );
    fileExitAction->setAccel( tr( "Alt+X" ) );
    configConfigureAction->setText( tr( "C&onfigure" ) );
    configConfigureAction->setMenuText( tr( "C&onfigure" ) );
    configConfigureAction->setAccel( tr( "Alt+O" ) );
    fileSearchAction->setText( tr( "&Search" ) );
    fileSearchAction->setMenuText( tr( "&Search" ) );
    fileSearchAction->setAccel( tr( "Alt+S" ) );
    helpShow_HelpAction->setText( tr( "Show H&elp" ) );
    helpShow_HelpAction->setMenuText( tr( "Show H&elp" ) );
    helpShow_HelpAction->setAccel( tr( "Alt+E" ) );
    aboutShow_AboutAction->setText( tr( "Show A&bout" ) );
    aboutShow_AboutAction->setMenuText( tr( "Show A&bout" ) );
    aboutShow_AboutAction->setAccel( tr( "Alt+B" ) );
    aboutVersionAction->setText( tr( "&Version" ) );
    aboutVersionAction->setMenuText( tr( "&Version" ) );
    aboutVersionAction->setAccel( tr( "Alt+V" ) );
    aboutLicenseAction->setText( tr( "&License" ) );
    aboutLicenseAction->setMenuText( tr( "&License" ) );
    aboutLicenseAction->setAccel( tr( "Alt+L" ) );
    if (MenuBarEditor->findItem(1))
        MenuBarEditor->findItem(1)->setText( tr( "&File" ) );
    if (MenuBarEditor->findItem(2))
        MenuBarEditor->findItem(2)->setText( tr( "&Config" ) );
    if (MenuBarEditor->findItem(3))
        MenuBarEditor->findItem(3)->setText( tr( "&Help" ) );
    if (MenuBarEditor->findItem(4))
        MenuBarEditor->findItem(4)->setText( tr( "&About" ) );
}

