/****************************************************************************
** Form interface generated from reading ui file 'qkdoodle.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef QKDOODLE_H
#define QKDOODLE_H

#include <qvariant.h>
#include <qmainwindow.h>
#include <qmessagebox.h>
#include <qstatusbar.h>
#include <qcursor.h>
#include "qsearchform.h"
#include "qconfigform.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;

class QKdoodle : public QMainWindow
{
    Q_OBJECT

public:
    QKdoodle( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~QKdoodle();

    QMenuBar *MenuBarEditor;
    QPopupMenu *File;
    QPopupMenu *Config;
    QPopupMenu *Help;
    QPopupMenu *About;
    QAction* fileExitAction;
    QAction* configConfigureAction;
    QAction* fileSearchAction;
    QAction* helpShow_HelpAction;
    QAction* aboutShow_AboutAction;
    QAction* aboutVersionAction;
    QAction* aboutLicenseAction;

public slots:
    virtual void show_help();
    virtual void show_about();
    virtual void show_version();
    virtual void show_license();
    virtual void show_widget();
    virtual void show_config();
    virtual void update_status( const QString & s );
    virtual void enable_all();
    virtual void disable_all();

signals:
    void reread_config();

protected:

protected slots:
    virtual void languageChange();

private:
    QSearchForm *searchform;
    QConfigForm *configform;

    void init();

};

#endif // QKDOODLE_H
