/****************************************************************************
** Form implementation generated from reading ui file 'qopenfile.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "qopenfile.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "../qopenfile.ui.h"

/*
 *  Constructs a QOpenFile as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
QOpenFile::QOpenFile( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "QOpenFile" );
    setEnabled( TRUE );

    lbl_program = new QLabel( this, "lbl_program" );
    lbl_program->setGeometry( QRect( 40, 40, 111, 21 ) );
    lbl_program->setFrameShape( QLabel::NoFrame );
    lbl_program->setFrameShadow( QLabel::Plain );

    lbl_file = new QLabel( this, "lbl_file" );
    lbl_file->setGeometry( QRect( 40, 10, 100, 20 ) );

    btn_choose_program = new QPushButton( this, "btn_choose_program" );
    btn_choose_program->setGeometry( QRect( 480, 40, 100, 21 ) );

    txt_file = new QLineEdit( this, "txt_file" );
    txt_file->setGeometry( QRect( 150, 10, 320, 21 ) );
    txt_file->setReadOnly( TRUE );

    lbl_extension = new QLabel( this, "lbl_extension" );
    lbl_extension->setGeometry( QRect( 480, 10, 56, 21 ) );

    btn_cancel = new QPushButton( this, "btn_cancel" );
    btn_cancel->setEnabled( TRUE );
    btn_cancel->setGeometry( QRect( 360, 100, 110, 21 ) );

    txt_program = new QLineEdit( this, "txt_program" );
    txt_program->setGeometry( QRect( 150, 40, 320, 21 ) );

    chk_save = new QCheckBox( this, "chk_save" );
    chk_save->setEnabled( TRUE );
    chk_save->setGeometry( QRect( 150, 70, 320, 20 ) );

    btn_open = new QPushButton( this, "btn_open" );
    btn_open->setEnabled( FALSE );
    btn_open->setGeometry( QRect( 150, 100, 110, 21 ) );

    txt_extension = new QLineEdit( this, "txt_extension" );
    txt_extension->setGeometry( QRect( 551, 10, 30, 21 ) );
    txt_extension->setReadOnly( TRUE );
    languageChange();
    resize( QSize(612, 134).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( btn_choose_program, SIGNAL( pressed() ), this, SLOT( Select_program() ) );
    connect( btn_open, SIGNAL( pressed() ), this, SLOT( run_program() ) );
    connect( txt_program, SIGNAL( returnPressed() ), this, SLOT( run_program() ) );
    connect( txt_program, SIGNAL( textChanged(const QString&) ), this, SLOT( changed_program(const QString&) ) );
    connect( btn_cancel, SIGNAL( pressed() ), this, SLOT( close() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
QOpenFile::~QOpenFile()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void QOpenFile::languageChange()
{
    setCaption( tr( "KDoodle: Open File" ) );
    lbl_program->setText( tr( "Use program" ) );
    lbl_file->setText( tr( "Selected File" ) );
    btn_choose_program->setText( tr( "Open wi&th..." ) );
    btn_choose_program->setAccel( QKeySequence( tr( "Alt+T" ) ) );
    lbl_extension->setText( tr( "Extension:" ) );
    btn_cancel->setText( tr( "&Cancel" ) );
    btn_cancel->setAccel( QKeySequence( tr( "Alt+C" ) ) );
    chk_save->setText( tr( "&Associate program with shown extension?" ) );
    btn_open->setText( tr( "Open &file" ) );
    btn_open->setAccel( QKeySequence( tr( "Alt+F" ) ) );
}

