/****************************************************************************
** Form implementation generated from reading ui file 'qsearchform.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "qsearchform.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlistbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "../qsearchform.ui.h"
/*
 *  Constructs a QSearchForm as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
QSearchForm::QSearchForm( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "QSearchForm" );

    lbl_search = new QLabel( this, "lbl_search" );
    lbl_search->setGeometry( QRect( 10, 10, 201, 21 ) );
    lbl_search->setFrameShape( QLabel::NoFrame );
    lbl_search->setFrameShadow( QLabel::Plain );

    txt_string = new QLineEdit( this, "txt_string" );
    txt_string->setGeometry( QRect( 220, 10, 420, 21 ) );

    btn_search = new QPushButton( this, "btn_search" );
    btn_search->setGeometry( QRect( 650, 10, 121, 21 ) );

    list_results = new QListBox( this, "list_results" );
    list_results->setGeometry( QRect( 0, 40, 780, 470 ) );

    btn_launch = new QPushButton( this, "btn_launch" );
    btn_launch->setGeometry( QRect( 30, 520, 181, 21 ) );

    btn_reset = new QPushButton( this, "btn_reset" );
    btn_reset->setGeometry( QRect( 570, 520, 181, 21 ) );
    languageChange();
    resize( QSize(782, 543).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( btn_reset, SIGNAL( pressed() ), txt_string, SLOT( clear() ) );
    connect( btn_search, SIGNAL( pressed() ), this, SLOT( search_string() ) );
    connect( txt_string, SIGNAL( returnPressed() ), this, SLOT( search_string() ) );
    connect( btn_launch, SIGNAL( pressed() ), this, SLOT( start_file() ) );
    connect( btn_reset, SIGNAL( pressed() ), list_results, SLOT( clear() ) );
    connect( list_results, SIGNAL( doubleClicked(QListBoxItem*) ), this, SLOT( start_file() ) );
    connect( list_results, SIGNAL( selectionChanged() ), this, SLOT( file_selected_send() ) );
    connect( btn_reset, SIGNAL( pressed() ), this, SLOT( reset_hit() ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
QSearchForm::~QSearchForm()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void QSearchForm::languageChange()
{
    setCaption( tr( "QSearchForm" ) );
    lbl_search->setText( tr( "Search for :" ) );
    btn_search->setText( tr( "&Search" ) );
    btn_search->setAccel( QKeySequence( tr( "Alt+S" ) ) );
    btn_launch->setText( tr( "L&aunch Selected" ) );
    btn_launch->setAccel( QKeySequence( tr( "Alt+A" ) ) );
    btn_reset->setText( tr( "&Reset" ) );
    btn_reset->setAccel( QKeySequence( tr( "Alt+R" ) ) );
}

